Name:		rfsysv
Version:	1.0
Release:	18.1AX
License: 	GPL
Summary:	Red Flag Service Configuration Tool
Group:		Applications/System
Vendor:		Red Flag Software Co., Ltd.
Packager:	packager@redflag-linux.com
Source: 	rfsysv-%{version}.tar.gz
Source1:	rfsysv_ko.qm
Source2:	rfsysv_ko.ts
BuildRoot:	%{_tmppath}/%{name}-buildroot
Patch0:		rfsysv-1.0-ko.resource.patch
Patch1:		rfsysv-1.0-services.xml.patch

%description
rfsysv is a commercial software developed by Redflag Software
Corporation.  rfsysv lets a system administrator configure init system
services (instead of directly manipulating the numerous symbolic links
in /etc/rc.d).

%prep
%setup -q 
%patch0 -p1 -b .ko
%patch1 -p1

cp %{SOURCE1} $RPM_BUILD_DIR/%{name}-%{version}/
cp %{SOURCE2} $RPM_BUILD_DIR/%{name}-%{version}/

%build
unset QTDIR
. /etc/profile.d/qt.sh
%ifarch x86_64 ppc64
export suffix=64
%else
export suffix=""
%endif
(cd service; make)
make

%install

INSTALL="/usr/bin/install"

datadir=$RPM_BUILD_ROOT/usr/share/%{name}
libdir=$RPM_BUILD_ROOT/usr/lib/rfmin/lib
incdir=$RPM_BUILD_ROOT/usr/lib/rfmin/include/%{name}

# create all directories
$INSTALL -d $datadir/doc/en
$INSTALL -d $libdir
$INSTALL -d $incdir
$INSTALL -d $RPM_BUILD_ROOT/usr/bin

# install lib
$INSTALL -m 755 service/librfservice.so.1.0.0 $libdir
$INSTALL -m 644 service/*.h $incdir

# install bin
$INSTALL -m 755 %{name} $RPM_BUILD_ROOT/usr/bin/
$INSTALL -m 644 %{name}_zh.qm %{name}_ja.qm %{name}_ko.qm qtstuff_zh.qm $datadir
$INSTALL -m 644 services.xml $datadir

# install doc (Chinese Manual)
$INSTALL -m 644 doc/%{name}_manual.xml $datadir/doc/
$INSTALL -m 644 doc/%{name}_manual.html $datadir/doc/
$INSTALL -m 644 doc/*.jpg $datadir/doc/
$INSTALL -m 644 doc/index $datadir/doc/
$INSTALL -m 644 doc/index.cache $datadir/doc/

# English Manual
$INSTALL -m 644 doc/en/%{name}_manual.xml $datadir/doc/en/
$INSTALL -m 644 doc/en/%{name}_manual.html $datadir/doc/en/
$INSTALL -m 644 doc/index $datadir/doc/en/
$INSTALL -m 644 doc/index.cache $datadir/doc/en/

# install .desktop
$INSTALL -D -m 644 %{name}.desktop $RPM_BUILD_ROOT/usr/share/applnk/Settings/%{name}.desktop

# install main icon
$INSTALL -D -m 644 %{name}.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/
cp rfsysv.desktop $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/rfsysv-%{version}-%{release}.desktop

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%post
ln -fs /usr/lib/rfmin/lib/librfservice.so.1.0.0 /usr/lib/librfservice.so
ln -fs /usr/lib/rfmin/lib/librfservice.so.1.0.0 /usr/lib/librfservice.so.1
ln -fs /usr/lib/rfmin/lib/librfservice.so.1.0.0 /usr/lib/librfservice.so.1.0

%preun

%files
/etc/sysconfig/khwtree/GroupSys/rfsysv-%{version}-%{release}.desktop
/usr/bin/rfsysv
/usr/share/rfsysv/rfsysv_zh.qm
/usr/share/rfsysv/qtstuff_zh.qm
/usr/share/rfsysv/rfsysv_ja.qm
/usr/share/rfsysv/rfsysv_ko.qm
/usr/share/rfsysv/services.xml
/usr/share/applnk/Settings/rfsysv.desktop
/usr/share/rfsysv/doc/rfsysv_manual.xml
/usr/share/rfsysv/doc/rfsysv_manual.html
/usr/share/rfsysv/doc/index
/usr/share/rfsysv/doc/index.cache
/usr/share/rfsysv/doc/rfsysv_main.jpg
/usr/share/rfsysv/doc/rfsysv_properties.jpg
/usr/share/rfsysv/doc/rfsysv_prop_script.jpg
/usr/share/rfsysv/doc/rfsysv_runsrv.jpg
/usr/share/rfsysv/doc/rfsysv_popupmenu.jpg
/usr/share/rfsysv/doc/rfsysv_prop_runlevel.jpg
/usr/share/rfsysv/doc/rfsysv_runlevel.jpg
/usr/share/rfsysv/doc/en/rfsysv_manual.xml
/usr/share/rfsysv/doc/en/rfsysv_manual.html
/usr/share/rfsysv/doc/en/index
/usr/share/rfsysv/doc/en/index.cache
/usr/lib/rfmin/lib/librfservice.so.1.0.0
/usr/lib/rfmin/include/rfsysv/service.h
/usr/lib/rfmin/include/rfsysv/srvxml.h
/usr/share/pixmaps/rfsysv.xpm

%changelog
* Tue Nov 22 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-18.1AX
- add some translations for Chinese

* Wed Nov 16 2005 Nam, Kwonwoo <kwnam@haansoft.com> 1.0-18
- add Korean resource(source 1, 2 patch 0)
- remove post postun action and change .desktop file install method

* Mon Jul 19 2004 Zou Pengcheng <pczou@redflag-linux.com> 1.0.17
- IA64 port

* Thu May 8 2004 Pengcheng Zou <pczou@redflag-linux.com> 1.0.16
- make .spec looks more professional 

